# Sortable

Table of Contents

###### Examples

Basic Usage

###### Sortable JavaScript Reference

Constructor
Requirements
Attributes

###### SortableItem JavaScript Reference

Constructor
Attributes

### Description

A component that allows the user to sort items in a list.

### Basic Usage

    <k-sortable>
      <k-sortable-item>Item 1</k-sortable-item>
      <k-sortable-item>Item 2</k-sortable-item>
      <k-sortable-item>Item 3</k-sortable-item>
      <k-sortable-item>Item 4</k-sortable-item>
      <k-sortable-item>Item 5</k-sortable-item>
    </k-sortable>

Item 1 Item 2 Item 3 Item 4 Item 5

## Sortable JavaScript Reference

### Constructor

###### Extends Component

##### `new Sortable()`

### Requirements

- Sortable items must be direct children of the Sortable component.

### Attributes

##### `sorting: boolean`

Indicates whether the item is currently being sorted.

## SortableItem JavaScript Reference

### Constructor

###### Extends Component

##### `new SortableItem()`

### Attributes

##### `sorting: boolean`

Indicates whether the item is currently being sorted.